Subject: Re: Passing I2C platform_data from device tree to i2c driver

From: Scott Wood <[email-masked]>
Date: Thu, 6 Nov 2008 12:54:33 -0600

On Mon, Nov 03, 2008 at 05:54:46PM -0600, Nate Case wrote:
> Of course, I could put some code in my board specific file to parse the
> device tree properties and set pdata accordingly, but this hardly seems
> ideal.  After all, the device tree bindings -> pdata translation itself
> does not have to be board-specific.
> 
> Basically, I think we need to have some common code somewhere that does
> the task of populating platform_data for a specific I2C chip based on a
> device tree node -- similarly to how we register the I2C devices
> already.  Is anyone working on this?  Did anyone have anything else in
> mind?

It should be fairly straightforward to add an optional function pointer to
the i2c device table that turns the device tree properties into platform
data.

-Scott